Public Member Functions | Public Attributes | List of all members
StyleParserInternal::State Struct Reference

Internal: the state of a StyleParser. More...

## Public Member Functions
| State ()
| constructor More...

## Public Attributes
std::map< std::string, MWAWEntry > | m_entryMap
| the map type to entry More...
bool | m_unicodeChar
| true if the character are unicode character More...
MWAWEntry | m_textEntry
| the text entry More...
MWAWColor | m_backgroundColor
| the background color More...
std::vector< int > | m_fontIdToFinalIdList
| list of font final id More...
std::vector< Font > | m_fontList
| the list of font style More...
std::vector< MWAWParagraph > | m_paragraphList
| the list of paragraph style More...
std::map< long, int > | m_posFontIdMap
| a map pos->font id More...
std::map< long, int > | m_posParagraphIdMap
| a map pos->paragraphId More...
std::map< long, Picture > | m_posPictureMap
| a map pos->pictEntry More...
int | m_actPage
| the actual page More...
int | m_numPages
| the number of page of the final document More...

## Detailed Description

Internal: the state of a StyleParser.

## Constructor & Destructor Documentation

## ◆ State()

StyleParserInternal::State::State | ( |  | ) |
| inline

constructor

## Member Data Documentation

## ◆ m_actPage

int StyleParserInternal::State::m_actPage

the actual page

## ◆ m_backgroundColor

MWAWColor StyleParserInternal::State::m_backgroundColor

the background color

## ◆ m_entryMap

std::map<std::string, MWAWEntry> StyleParserInternal::State::m_entryMap

the map type to entry

## ◆ m_fontIdToFinalIdList

std::vector<int> StyleParserInternal::State::m_fontIdToFinalIdList

list of font final id

## ◆ m_fontList

std::vector<Font> StyleParserInternal::State::m_fontList

the list of font style

## ◆ m_numPages

int StyleParserInternal::State::m_numPages

the number of page of the final document

## ◆ m_paragraphList

std::vector<MWAWParagraph> StyleParserInternal::State::m_paragraphList

the list of paragraph style

## ◆ m_posFontIdMap

std::map<long,int> StyleParserInternal::State::m_posFontIdMap

a map pos->font id

## ◆ m_posParagraphIdMap

std::map<long,int> StyleParserInternal::State::m_posParagraphIdMap

a map pos->paragraphId

## ◆ m_posPictureMap

std::map<long,Picture> StyleParserInternal::State::m_posPictureMap

a map pos->pictEntry

## ◆ m_textEntry

MWAWEntry StyleParserInternal::State::m_textEntry

the text entry

## ◆ m_unicodeChar

bool StyleParserInternal::State::m_unicodeChar

true if the character are unicode character

The documentation for this struct was generated from the following file:

- StyleParser.cxx